summaryrefslogtreecommitdiffstats
path: root/system/SavvyCAN
diff options
context:
space:
mode:
author Fernando Lopez Jr2019-05-03 22:35:18 +0200
committer Willy Sudiarto Raharjo2019-05-03 22:35:18 +0200
commit09601eb377761dc6eb5fae20bdefb349b0ae59b1 (patch)
tree945c96b81766f6d49950674d5a67762c7f7dbcbd /system/SavvyCAN
parent0788c5329b7cc1b5c80bc243236df9f4c3089b9b (diff)
downloadslackbuilds-09601eb377761dc6eb5fae20bdefb349b0ae59b1.tar.gz
system/SavvyCAN: Added (Canbus Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/SavvyCAN')
-rw-r--r--system/SavvyCAN/README33
-rw-r--r--system/SavvyCAN/SavvyCAN.SlackBuild93
-rw-r--r--system/SavvyCAN/SavvyCAN.info10
-rw-r--r--system/SavvyCAN/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/system/SavvyCAN/README b/system/SavvyCAN/README
new file mode 100644
index 0000000000..d95fd3aad4
--- /dev/null
+++ b/system/SavvyCAN/README
@@ -0,0 +1,33 @@
+SavvyCAN (Qt based cross platform canbus tool)
+
+A Qt5 based cross platform tool which can be used to load, save, and
+capture canbus frames. This tool is designed to help with visualization,
+reverse engineering, debugging, and capturing of canbus frames.
+
+Really requires at a resolution of at least 1024x768. Fully multi-monitor
+capable. Works on 4K monitors as well.
+
+You are highly recommended to use the CANDue board from EVTV.
+
+The CANDue board must be running the GVRET firmware which can also be
+found within the collin80 repos.
+
+It is now possible to use any QT SerialBus driver (socketcan, Vector,
+PeakCAN, TinyCAN). There may, however, be some loss of some functionality
+as some functions of SavvyCAN are designed for use directly with the EVTVDue
+and CANDue 2.0 boards.
+
+It should, however, be noted that use of a capture device is not required to
+make use of this program. It can load and save in several formats:
+
+BusMaster log file
+Microchip log file
+CRTD format (OVMS log file format from Mark Webb-Johnson)
+GVRET native format
+Generic CSV file (ID,D0 D1 D2 D3 D4 D5 D6 D7)
+Vector Trace files
+IXXAT Minilog files
+CAN-DO Logs
+Vehicle Spy log files
+CANDump / Kayak (Read only)
+PCAN Viewer (Read Only)
diff --git a/system/SavvyCAN/SavvyCAN.SlackBuild b/system/SavvyCAN/SavvyCAN.SlackBuild
new file mode 100644
index 0000000000..4746c07978
--- /dev/null
+++ b/system/SavvyCAN/SavvyCAN.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for SavvyCAN
+
+# Copyright 2019 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SavvyCAN
+VERSION=${VERSION:-197}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake-qt5 \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ SavvyCAN.pro
+
+make
+
+mkdir -p $PKG/usr/bin/
+install -m755 SavvyCAN $PKG/usr/bin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/SavvyCAN/SavvyCAN.info b/system/SavvyCAN/SavvyCAN.info
new file mode 100644
index 0000000000..d44ac6762b
--- /dev/null
+++ b/system/SavvyCAN/SavvyCAN.info
@@ -0,0 +1,10 @@
+PRGNAM="SavvyCAN"
+VERSION="197"
+HOMEPAGE="https://github.com/collin80/SavvyCAN/"
+DOWNLOAD="https://github.com/collin80/SavvyCAN/archive/V197/SavvyCAN-197.tar.gz"
+MD5SUM="7bfeb3e3faca1d26f785cc1bffe5af93"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/system/SavvyCAN/slack-desc b/system/SavvyCAN/slack-desc
new file mode 100644
index 0000000000..decfa5f12b
--- /dev/null
+++ b/system/SavvyCAN/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SavvyCAN: SavvyCAN (Qt based cross platform canbus tool)
+SavvyCAN:
+SavvyCAN: A Qt5 based cross platform tool which can be used to load, save, and
+SavvyCAN: capture canbus frames. This tool is designed to help with visua-
+SavvyCAN: lization, reverse engineering, debugging, and capturing of canbus
+SavvyCAN: frames.
+SavvyCAN:
+SavvyCAN: Really requires at a resolution of at least 1024x768. Fully multi-moni-
+SavvyCAN: tor capable. Works on 4K monitors as well.
+SavvyCAN:
+SavvyCAN: You are highly recommended to use the CANDue board from EVTV.